import { defineMarkdocConfig, component, nodes } from '@astrojs/markdoc/config';

export default defineMarkdocConfig({
  nodes: {
    table: {
      ...nodes.table,
      render: component('./src/components/markdoc/Table.astro'),
    },
  },
  tags: {
    ElementSymbol: {
      render: component('./src/components/content/ElementSymbol.astro'),
      attributes: {
        element: { type: String },
        size: { type: String },
        color: { type: String },
      },
    },
  },
});
